Subject: Re: bug#41225: [PATCH] Show bookmark list in new tab

From: Matthias Meulien <[email-masked]>
Date: Sun, 09 Aug 2020 16:35:43 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> And I'm not sure this is safe.  For one, if you load the file 
> twice, you'll get this added twice.  And it's destructively 
> modifying a list that's dumped with Emacs, which I think is 
> undefined behaviour?

Nice catch. I must admit I don't know the dump mecanism at all...
 
> So I've added a new utility function custom-add-choice to 
> custom.el that checks for double entry, and doesn't modify 
> anything destructively, and pushed this to Emacs 28.1. 

I tested master today and it works like a charm. Thanks for your 
careful reading and improvements!
-- 
Matthias